Loading...
Searching...
No Matches
libm2k::context::M2k Class Referenceabstract
M2k

Controls the ADALM2000. More...

`#include <libm2k/m2k.hpp>`

Inheritance diagram for libm2k::context::M2k:
[legend]
Collaboration diagram for libm2k::context::M2k:
[legend]

## Public Member Functions

virtual void | reset ()=0
| Reset the M2K device to default settings:
virtual bool | calibrateADC ()=0
| Calibrate the ADC.
virtual bool | calibrateDAC ()=0
| Calibrate the DAC.
virtual double | calibrateFromContext ()=0
| Calibrate both ADC and DACs using predefined calibration values located in context.
virtual libm2k::digital::M2kDigital * | getDigital ()=0
| Retrieve the Digital object.
virtual libm2k::analog::M2kPowerSupply * | getPowerSupply ()=0
| Retrieve the PowerSupply object.
virtual libm2k::analog::M2kAnalogIn * | getAnalogIn ()=0
| Retrieve the AnalogIn object.
virtual libm2k::analog::M2kAnalogIn * | getAnalogIn (std::string dev_name)=0
| Retrieve the AnalogIn object of a device.
virtual libm2k::analog::M2kAnalogOut * | getAnalogOut ()=0
| Retrieve the AnalogOut object.
virtual bool | hasMixedSignal ()=0
| Check if the mixed signal acquisition is available on the current firmware version.
virtual void | startMixedSignalAcquisition (unsigned int nb_samples)=0
| Initiate the mixed acquisition.
virtual void | stopMixedSignalAcquisition ()=0
| Stop the mixed acquisition.
virtual int | getDacCalibrationOffset (unsigned int chn)=0
| Get the calibration offset of the DAC.
virtual double | getDacCalibrationGain (unsigned int chn)=0
| Get the calibration gain of the DAC.
virtual int | getAdcCalibrationOffset (unsigned int chn)=0
| Get the calibration offset of the ADC.
virtual double | getAdcCalibrationGain (unsigned int chn)=0
| Get the calibration gain of the ADC.
virtual void | setDacCalibrationOffset (unsigned int chn, int offset)=0
| Set the calibration offset of the DAC.
virtual void | setDacCalibrationGain (unsigned int chn, double gain)=0
| Set the calibration gain of the DAC.
virtual void | setAdcCalibrationOffset (unsigned int chn, int offset)=0
| Set the calibration offset of the ADC.
virtual void | setAdcCalibrationGain (unsigned int chn, double gain)=0
| Set the calibration gain of the ADC.
virtual bool | hasContextCalibration ()=0
| Check if the calibration based on temperature can be performed.
virtual std::map< double, std::shared_ptr< struct CALIBRATION_PARAMETERS > > & | getLUT ()=0
| Retrieve the predefined calibration parameter.
virtual bool | isCalibrated ()=0
| Check if the board was calibrated.
virtual void | setLed (bool on)=0
| Turn on or off the board's led.
virtual bool | getLed ()=0
| Retrieve the state of the led.
Public Member Functions inherited from libm2k::context::Context
virtual std::string | getUri ()=0
| Get the URI of the current context.
virtual libm2k::analog::DMM * | getDMM (unsigned int index)=0
| Retrieve the DMM object at a certain index.
virtual libm2k::analog::DMM * | getDMM (std::string name)=0
| Retrieve the DMM object which has the provided name.
virtual std::vector< libm2k::analog::DMM * > | getAllDmm ()=0
| Retrieve all the DMM objects.
virtual std::vector< std::string > | getAvailableContextAttributes ()=0
| Retrieve all the available context attributes.
virtual std::string | getContextAttributeValue (std::string attr)=0
| Retrieve the value of one context attribute.
virtual std::string | getContextDescription ()=0
| Retrieve a detailed context description.
virtual std::string | getSerialNumber ()=0
| Retrieve the current context serial number.
virtual std::unordered_set< std::string > | getAllDevices () const =0
| Retrieve all the available devices.
virtual void | logAllAttributes () const =0
| Log all the attributes.
virtual M2k * | toM2k ()=0
| Convert the current context to M2k context, if possible.
virtual Generic * | toGeneric ()=0
| Convert the current context to Generic context, if possible.
virtual unsigned int | getDmmCount ()=0
| Retrieve the number of DMM objects.
virtual std::string | getFirmwareVersion ()=0
| Retrieve the firmware version of the current context.
virtual const struct libm2k::IIO_CONTEXT_VERSION | getIioContextVersion ()=0
virtual struct iio_context * | getIioContext ()=0
virtual void | setTimeout (unsigned int timeout)=0
| Set a timeout for I/O operations.

## Detailed Description

Controls the ADALM2000.

The documentation for this class was generated from the following file:

- m2k.hpp